"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RBTMenuBar = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const react_bootstrap_1 = require("react-bootstrap");
const react_bootstrap_icons_1 = require("react-bootstrap-icons");
const search_1 = require("../search");
/**
 * This component builds a menu bar.
 * @param {RBTMenuBarOptions} props
 */
const RBTMenuBar = (props) => {
    const displayCompactBtn = (0, react_1.useMemo)(() => { var _a; return (_a = props.enableDensityToggle) !== null && _a !== void 0 ? _a : true; }, [props.enableDensityToggle]);
    const styleVarient = (0, react_1.useMemo)(() => { var _a; return (_a = props.varient) !== null && _a !== void 0 ? _a : 'dark'; }, [props.varient]);
    const tableName = (0, react_1.useMemo)(() => {
        props.name && props.name.length > 0 ? props.name + ' SearchBar' : 'SearchBar';
    }, [props.name]);
    return (react_1.default.createElement(react_bootstrap_1.Row, null,
        react_1.default.createElement(react_bootstrap_1.Col, null),
        react_1.default.createElement(react_bootstrap_1.Col, { md: 'auto' },
            react_1.default.createElement(react_bootstrap_1.InputGroup, null,
                react_1.default.createElement(search_1.RBTSearch, Object.assign({}, props)),
                displayCompactBtn ? (react_1.default.createElement(react_bootstrap_1.Button, { variant: styleVarient, "aria-label": tableName + ' Compact Setting Toggle', onClick: () => {
                        if (props.setCompact) {
                            props.setCompact(!props.isCompact);
                        }
                    } }, props.isCompact ? react_1.default.createElement(react_bootstrap_icons_1.Grid3x3Gap, null) : react_1.default.createElement(react_bootstrap_icons_1.Grid3x2Gap, null))) : null,
                react_1.default.createElement(react_bootstrap_1.Button, { variant: styleVarient, "aria-label": tableName + ' Download CSV Button', tabIndex: 0 },
                    react_1.default.createElement(react_bootstrap_icons_1.Download, null))))));
};
exports.RBTMenuBar = RBTMenuBar;
//# sourceMappingURL=menubar.components.js.map