"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMatch = exports.updateFilterAndDisplayed = void 0;
const common_1 = require("../common");
/** Unique value for filters applied by this component. */
const FILTER_VALUE = 'search';
const updateFilterAndDisplayed = (toFind, rows, searchableColumns) => {
    const results = [];
    //iterate over each table record to find ones which match our search term
    rows === null || rows === void 0 ? void 0 : rows.forEach((row) => {
        // If the filtering status of the row has changed we need to capture this and feed
        // it back to the other components.
        if ((0, exports.isMatch)(toFind, row, searchableColumns)) {
            row.filters = (0, common_1.RemoveFilterFromArray)(FILTER_VALUE, row.filters);
        }
        else if (row.filters.indexOf(FILTER_VALUE) < 0) {
            row.filters.push(FILTER_VALUE);
        }
        results.push(row);
    });
    // if we haven't changed what is displayed update nothing!
    return results;
};
exports.updateFilterAndDisplayed = updateFilterAndDisplayed;
const isMatch = (toFind, row, searchableColumns) => {
    // if toFind is cleared then we assume nothing is filtered.
    let match = toFind.length == 0;
    const data = row.data;
    if (data) {
        for (let keyIndex = 0; keyIndex < searchableColumns.length; keyIndex++) {
            // TODO This needs to be configured for multi level objects
            const key = searchableColumns[keyIndex];
            const value = data[key];
            if (typeof value === 'string') {
                match = value.toUpperCase().indexOf(toFind) > -1;
                if (match) {
                    break;
                }
            }
        }
    }
    return match;
};
exports.isMatch = isMatch;
//# sourceMappingURL=search.helpers.js.map