"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RBTableBody = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const common_1 = require("../common");
const RBTableBody = ({ columns, data, name, }) => {
    const columnPrefix = (0, react_1.useMemo)(() => (name && name.length > 0 ? name + '.table.body' : 'table.body'), [name]);
    const displayed = (0, react_1.useMemo)(() => {
        const results = [];
        for (let index = 0; index < data.length; index++) {
            if (data[index].filters.length === 0) {
                results.push(data[index]);
            }
        }
        return results.sort(common_1.CompareRBTRow);
    }, [data]);
    /**
     * This will process the Cell atribute (if set)
     * @param column
     * @param row
     * @returns
     */
    const GenerateCell = (index, column, row) => {
        let id = columnPrefix;
        if (column.id && column.id.length > 0) {
            id = column.id;
        }
        let result;
        if (typeof column.Cell === 'function') {
            result = column.Cell({ column: id, originalRow: row.data });
        }
        else {
            result = column.Cell;
        }
        // If there was no Id or Cell then result should be undefined
        if (!result && column.accessorKey) {
            const data = row.data[column.accessorKey];
            if (typeof data === 'string' || typeof data === 'number') {
                result = react_1.default.createElement("td", { key: id + '.' + row.position + '.' + index }, data);
            }
            else {
                console.log('GenerateCell - Unable to convert data into table cell: ' + JSON.stringify(data));
            }
        }
        else {
            console.log('No Id or Accessor key\ncolumn: ' + JSON.stringify(column) + '\nrow: ' + JSON.stringify(data));
            result = react_1.default.createElement("td", { key: id + '.' + row.position + '.' + index });
        }
        return result;
    };
    return (react_1.default.createElement("tbody", null, displayed.map((row) => {
        return (react_1.default.createElement("tr", { key: row.position }, columns.map((column, index) => {
            return GenerateCell(index, column, row);
        })));
    })));
};
exports.RBTableBody = RBTableBody;
//# sourceMappingURL=tableBody.components.js.map