export const isSearchable = (columnDefs) => {
    let result = false;
    columnDefs.forEach((value) => {
        if (value.searchable) {
            result = true;
        }
    });
    return result;
};
export const retrieveSearchMatches = (toFind, columnDefs, values) => {
    const results = [];
    const keys = [];
    columnDefs.forEach((value) => {
        const accessor = value.accessorKey;
        if (value.searchable) {
            if (typeof accessor === 'string') {
                keys.push(accessor);
            }
            else {
                console.log('retrieveSearchMatches - Unable to retrieve accessor for column: ' + JSON.stringify(value));
            }
        }
    });
    const upperToFind = toFind.toUpperCase();
    values.forEach((value) => {
        let matched = false;
        keys.forEach((key) => {
            const field = value[key];
            if (typeof field === 'string') {
                if (field.toUpperCase().indexOf(upperToFind) > -1) {
                    matched = true;
                }
            }
        });
        if (matched) {
            results.push(value);
        }
    });
    return results;
};
//# sourceMappingURL=table.search.js.map