import React, { useState } from 'react';
import { Placeholder } from 'react-bootstrap';
const GetCellId = (columnPrefix, column) => {
    let id = columnPrefix;
    if (column.id && column.id.length > 0) {
        id = column.id;
    }
    else if (column.header && column.header.length > 0) {
        id = columnPrefix + column.header.replace(' ', '');
    }
    return id;
};
export const RBTablePlaceholder = (props) => {
    const [paginationRows] = useState(props.rowsPerPage ?? 5);
    return (React.createElement("tbody", null, [...Array(paginationRows)].map((value, index) => (React.createElement("tr", { key: 'row' + value + index }, props.columns?.map((column) => (React.createElement("td", { key: GetCellId('row.' + value + index + '.cell.', column) },
        React.createElement(Placeholder, { as: 'p', xs: 10 })))))))));
};
//# sourceMappingURL=tablePlaceholder.components.js.map